Skip to content

Post components of a late-bound CRS to create a persistable reference

Request

Post a request containing the components of an unbound or late-bound CRS to create a persistable reference.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id.

Bodyapplication/jsonrequired
lateBoundCrsWktstringrequired

The late-bound CRS Esri well-known text

Example:"PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Gre
lateBoundCrsNamestringrequired

The late-bound CRS name

Example:"ED_1950_UTM_Zone_31N"
lateBoundCrsAuthoritystringrequired

The late-bound CRS authority

Example:"EPSG"
lateBoundCrsAuthorityCodestringrequired

The late-bound CRS authority code

Example:"23031"
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromLateBoundCrsParts \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]",
    "lateBoundCrsName": "ED_1950_UTM_Zone_31N",
    "lateBoundCrsAuthority": "EPSG",
    "lateBoundCrsAuthorityCode": "23031"
  }'

Responses

Success: Late-bound CRS to persistable reference conversion successful

Bodyapplication/json
lateBoundCrsPartsobject(LbCrsContainer)
Example:
{ "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]", "lateBoundCrsName": "ED_1950_UTM_Zone_31N", "lateBoundCrsAuthority": "EPSG", "lateBoundCrsAuthorityCode": "23031" }
persistableReferencestringrequired

The created persistable reference on success; null on error

Example:"{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",637
statusInformationstringrequired

Information about the status of the conversion operation; e.g. 'Success' on success

Example:"Success"
Response
{ "lateBoundCrsParts": { "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]", "lateBoundCrsName": "ED_1950_UTM_Zone_31N", "lateBoundCrsAuthority": "EPSG", "lateBoundCrsAuthorityCode": "23031" }, "persistableReference": "{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",23031]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"23031\"},\"type\":\"LBC\"}", "statusInformation": "Success" }